com.r3corda.protocols / DirectRequestMessage

# DirectRequestMessage

`interface DirectRequestMessage : ServiceRequestMessage`

A message which specifies reply destination as a specific endpoint such as a monitoring client. This is of particular use where we want to address a specific endpoint, not necessarily a specific user (for example if the same user logs in on two machines, we want to consistently deliver messages as part of a session, to the same machine the session started on).

### Properties

replyToRecipient | `abstract val replyToRecipient: SingleMessageRecipient`

### Inherited Properties

sessionID | `abstract val sessionID: Long`

### Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`

### Inheritors

ClientToServiceCommandMessage | `data class ClientToServiceCommandMessage : DirectRequestMessage`
DeregisterRequest | `data class DeregisterRequest : DirectRequestMessage`
RegisterRequest | `data class RegisterRequest : DirectRequestMessage`